Bug 1637130 - mediawriter doesn't respect GNOME text-scaling-factor
Summary: mediawriter doesn't respect GNOME text-scaling-factor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-08 16:54 UTC by Owen Taylor
Modified: 2019-05-28 23:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:35:16 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot with text-scaling-factor 1.4 (956.54 KB, image/png)
2018-10-08 16:54 UTC, Owen Taylor
no flags Details

Description Owen Taylor 2018-10-08 16:54:56 UTC
Created attachment 1491713 [details]
Screenshot with text-scaling-factor 1.4

When running under GNOME (qgnomeplatform installed), fonts in mediawriter don't respect the text-scaling-factor GSettings key - while this is only exposed in GNOME Tweak Tool, it's the generally recommended way of handling intermediate resolutions - like a 1920x1080 on a 14" or 13" laptop.

See attached screenshot showing mediawriter, with KFloppy and GNOME Control Center for reference.

$ gsettings get org.gnome.desktop.interface text-scaling-factor
1.3999999

Comment 1 Fedora Update System 2018-12-06 08:10:15 UTC
qgnomeplatform-0.5-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-208d6bcf22

Comment 2 Fedora Update System 2019-01-04 14:35:12 UTC
analitza-18.04.3-3.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28 calibre-3.34.0-2.fc28 dnscrypt-proxy-gui-1.21.16-2.fc28 fcitx-qt5-1.2.3-4.fc28 gammaray-2.9.0-5.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.3 hedgewars-0.9.24.1-4.fc28 kf5-akonadi-server-18.08.3-2.fc28 kf5-frameworkintegration-5.53.0-3.fc28 kf5-kdeclarative-5.53.0-3.fc28 kf5-kwayland-5.53.0-3.fc28 kf5-kxmlgui-5.53.0-3.fc28 kwin-5.13.5-2.fc28 libfm-qt-0.11.2-13.fc28 libqtxdg-2.0.0-14.fc28 lxqt-qtplugin-0.11.1-13.fc28 mscore-2.2.1-6.fc28 plasma-integration-5.13.5-2.fc28 pyotherside-1.5.3-14.fc28 python-qt5-5.10.1-5.fc28 pythonqt-3.2-11.fc28 qgnomeplatform-0.5-6.fc28 qstardict-1.3-5.fc28 qt-creator-4.6.2-3.fc28 qt5-5.11.3-1.fc28 qt5-qt3d-5.11.3-1.fc28 qt5-qtbase-5.11.3-1.fc28 qt5-qtcanvas3d-5.11.3-1.fc28 qt5-qtcharts-5.11.3-1.fc28 qt5-qtconnectivity-5.11.3-1.fc28 qt5-qtdatavis3d-5.11.3-1.fc28 qt5-qtdeclarative-5.11.3-1.fc28 qt5-qtdoc-5.11.3-1.fc28 qt5-qtenginio-1.6.2-20.fc28 qt5-qtgamepad-5.11.3-1.fc28 qt5-qtgraphicaleffects-5.11.3-1.fc28 qt5-qtimageformats-5.11.3-1.fc28 qt5-qtlocation-5.11.3-1.fc28 qt5-qtmultimedia-5.11.3-1.fc28 qt5-qtquickcontrols-5.11.3-1.fc28 qt5-qtquickcontrols2-5.11.3-1.fc28 qt5-qtremoteobjects-5.11.3-1.fc28 qt5-qtscript-5.11.3-1.fc28 qt5-qtsensors-5.11.3-1.fc28 qt5-qtserialbus-5.11.3-1.fc28 qt5-qtserialport-5.11.3-1.fc28 qt5-qtspeech-5.11.3-1.fc28 qt5-qtstyleplugins-5.0.0-29.fc28 qt5-qtsvg-5.11.3-1.fc28 qt5-qttools-5.11.3-1.fc28 qt5-qttranslations-5.11.3-1.fc28 qt5-qtvirtualkeyboard-5.11.3-1.fc28 qt5-qtwayland-5.11.3-1.fc28 qt5-qtwebchannel-5.11.3-1.fc28 qt5-qtwebengine-5.11.3-2.fc28 qt5-qtwebkit-5.212.0-0.31.alpha2.fc28 qt5-qtwebsockets-5.11.3-1.fc28 qt5-qtwebview-5.11.3-1.fc28 qt5-qtx11extras-5.11.3-1.fc28 qt5-qtxmlpatterns-5.11.3-1.fc28 qt5ct-0.35-3.fc28 qtcurve-1.9.1-2.fc28 skrooge-2.14.0-3.fc28 texmaker-5.0.2-7.fc28 ugene-1.31.0-4.fc28 xdg-desktop-portal-kde-5.13.5-3.fc28 yarock-1.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 3 Fedora Update System 2019-01-05 01:44:57 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 4 Fedora Update System 2019-01-05 15:46:25 UTC
analitza-18.04.3-3.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28 calibre-3.34.0-2.fc28 dnscrypt-proxy-gui-1.21.16-2.fc28 fcitx-qt5-1.2.3-4.fc28 gammaray-2.9.0-5.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.3 hedgewars-0.9.24.1-4.fc28 kf5-akonadi-server-18.08.3-2.fc28 kf5-frameworkintegration-5.53.0-3.fc28 kf5-kdeclarative-5.53.0-3.fc28 kf5-kwayland-5.53.0-3.fc28 kf5-kxmlgui-5.53.0-3.fc28 kwin-5.13.5-2.fc28 libfm-qt-0.11.2-13.fc28 libqtxdg-2.0.0-14.fc28 lxqt-qtplugin-0.11.1-13.fc28 mscore-2.2.1-6.fc28 plasma-integration-5.13.5-2.fc28 pyotherside-1.5.3-14.fc28 python-qt5-5.10.1-5.fc28 pythonqt-3.2-11.fc28 qgnomeplatform-0.5-6.fc28 qstardict-1.3-5.fc28 qt-creator-4.6.2-3.fc28 qt5-5.11.3-1.fc28 qt5-qt3d-5.11.3-1.fc28 qt5-qtbase-5.11.3-1.fc28 qt5-qtcanvas3d-5.11.3-1.fc28 qt5-qtcharts-5.11.3-1.fc28 qt5-qtconnectivity-5.11.3-1.fc28 qt5-qtdatavis3d-5.11.3-1.fc28 qt5-qtdeclarative-5.11.3-1.fc28 qt5-qtdoc-5.11.3-1.fc28 qt5-qtenginio-1.6.2-20.fc28 qt5-qtgamepad-5.11.3-1.fc28 qt5-qtgraphicaleffects-5.11.3-1.fc28 qt5-qtimageformats-5.11.3-1.fc28 qt5-qtlocation-5.11.3-1.fc28 qt5-qtmultimedia-5.11.3-1.fc28 qt5-qtquickcontrols-5.11.3-1.fc28 qt5-qtquickcontrols2-5.11.3-1.fc28 qt5-qtremoteobjects-5.11.3-1.fc28 qt5-qtscript-5.11.3-1.fc28 qt5-qtscxml-5.11.3-1.fc28 qt5-qtsensors-5.11.3-1.fc28 qt5-qtserialbus-5.11.3-1.fc28 qt5-qtserialport-5.11.3-1.fc28 qt5-qtspeech-5.11.3-1.fc28 qt5-qtstyleplugins-5.0.0-29.fc28 qt5-qtsvg-5.11.3-1.fc28 qt5-qttools-5.11.3-1.fc28 qt5-qttranslations-5.11.3-1.fc28 qt5-qtvirtualkeyboard-5.11.3-1.fc28 qt5-qtwayland-5.11.3-1.fc28 qt5-qtwebchannel-5.11.3-1.fc28 qt5-qtwebengine-5.11.3-2.fc28 qt5-qtwebkit-5.212.0-0.31.alpha2.fc28 qt5-qtwebsockets-5.11.3-1.fc28 qt5-qtwebview-5.11.3-1.fc28 qt5-qtx11extras-5.11.3-1.fc28 qt5-qtxmlpatterns-5.11.3-1.fc28 qt5ct-0.35-3.fc28 qtcurve-1.9.1-2.fc28 skrooge-2.14.0-3.fc28 texmaker-5.0.2-7.fc28 ugene-1.31.0-4.fc28 xdg-desktop-portal-kde-5.13.5-3.fc28 yarock-1.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 5 Fedora Update System 2019-01-06 03:07:35 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtscxml-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 6 Fedora Update System 2019-01-18 01:37:55 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtscxml-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Ben Cotton 2019-05-02 19:59:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-28 23:35:16 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.